> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-0-0.md).

# Version 6.0.0 Changelog (June 25, 2013)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

### Notes

This release of PDFNet for Android brings the core PDF functionality in line with version 6.0.0 of the desktop SDKs.

### NEW

* Fonts, CMaps, and standard PDF resources were separated from the libraries into a file (pdfnet.res) that can be shared among multiple .so libs.
* Added new overloaded variants of PDFNet.initialize() that accept an int argument to be used with the resources file.
* Added PDFViewCtrl.smartZoom(), which attemps to zoom to an intersecting paragraph.
* Added a "Bookmarks" widget to the sample app PDFViewCtrlDemo, so users can navigate the document using the bookmarks dialog and also check the source code on how to interact with bookmarks.

### TOOLS (Tools.jar)

* The code has been reviewed to avoid Lint warnings, and some deprecated APIs calls were changed to use newer Android API.
* Now the Tool class (Tool.java) overrides the onDoubleTap() event (this overrides the default double tap behavior of PDFViewCtrl) and attempts to perform a smart zoom before a normal zoom.
* New AnnotEditLine tool, which is now used to edit lines and arrows. This new tool uses only two dots to control the line, being possible to move the control points freely.

### CHANGES

* Improved hit testing for annotations (ie, tapping the middle of an empty square will not select it, while tapping the square itself will).
* Some types used in DocumentDownloadListener were renamed for better understanding or removed:
  * DOWNLOAD\_FINISH changed to DOWNLOAD\_FINISHED;
  * DOWNLOAD\_FAIL changed to DOWNLOAD\_FAILED;
  * DOWNLOAD\_STARTED was removed.
* Some methods were deprecated and replaced:
  * PDFViewCtrl.lockReadDoc() was replaced by docLockRead();
  * PDFViewCtrl.tryLockReadDoc() was replaced by docTryLockRead();
  * PDFViewCtrl.unlockReadDoc() was replaced by docUnlockRead();
  * PDFViewCtrl.lockDoc() was replaced by docLock();
  * PDFViewCtrl.tryLockDoc() was replaced by docTryLock();
  * PDFViewCtrl.unlockDoc() was replaced by docUnlock().

### BUG FIXES

* Fixed a bug with the DialogColorPicker for not showing all the colors in the dialog (Tools.jar).
* Miscellaneous bug fixes and improvements.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-0-0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
